local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFirePickup = ____shouldFire.shouldFirePickup
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostPickupInitFilter = __TS__Class()
local PostPickupInitFilter = ____exports.PostPickupInitFilter
PostPickupInitFilter.name = "PostPickupInitFilter"
__TS__ClassExtends(PostPickupInitFilter, CustomCallback)
function PostPickupInitFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFirePickup
    self.postPickupInit = function(____, pickup)
        self:fire(pickup)
    end
    self.callbacksUsed = {{ModCallback.POST_PICKUP_INIT, self.postPickupInit}}
end
return ____exports
